
function Skinner:CharactersViewer()
	if not self.db.profile.CharacterFrames then return end

	if not self:isVersion("CharactersViewer", 103, CharactersViewer.version.number) then return end
	
	self:hookDDScript(_G["CharactersViewerDropDownButton"])
	self:hookDDScript(_G["CharactersViewerDropDown2Button"])

	self:removeRegions(_G["CharactersViewerDropDown"], {1, 2, 3}) -- N.B. region 4 is text
	self:removeRegions(_G["CharactersViewerDropDown2"], {1, 2, 3}) -- N.B. region 4 is text
	self:moveObject(_G["CharactersViewerDropDown2"], "-", 10, "-", 14)
	self:removeRegions(_G["CharactersViewer_Frame"], {1, 2, 3, 4, 5}) -- N.B. other regions are text
	_G["CharactersViewer_Frame"]:SetWidth(_G["CharactersViewer_Frame"]:GetWidth() * FxMult)
	_G["CharactersViewer_Frame"]:SetHeight(_G["CharactersViewer_Frame"]:GetHeight() * FyMult)
	self:moveObject(_G["CharactersViewer_FrameTitleText"], nil, nil, "-", 30)
	self:moveObject(_G["CharactersViewer_RestedFrame"], "-", 20, "+", 30)
	self:moveObject(_G["CharactersViewer_FrameDetailTitle0"], "-", 10, nil, nil)
	self:moveObject(_G["CharactersViewer_FrameDetailText0"], "-", 30, nil, nil)
	self:moveObject(_G["CharactersViewer_FrameStatsTitle1"], "-", 10, "+", 20)
	self:moveObject(_G["CharactersViewer_CloseButton"], "+", 28, "+", 8)
	self:moveObject(_G["CharactersViewer_FrameItem1"], "-", 8, "+", 20)
	self:moveObject(_G["CharactersViewer_FrameItem10"], "+", 30, "+", 20)
	self:moveObject(_G["CharactersViewer_FrameItem16"], "-", 10, nil, nil)
	self:moveObject(_G["CharactersViewerResistanceFrame"], "-", 10, "+", 20)
	self:moveObject(_G["CharactersViewerDropDown"], "-", 10, "-", 14)
	self:moveObject(_G["CharactersViewer_MoneyFrame"], "+", 30, "-", 80)
	self:applySkin(_G["CharactersViewer_Frame"])

	for i = 0, 4 do
		bagName = _G["CharactersViewer_ContainerFrame"..i]
		self:keepRegions(bagName, {6}) -- N.B. region 6 is text
		self:moveObject(_G[bagName:GetName().."Name"], "-", 10, nil, nil)
		_G[bagName:GetName().."Name"]:SetTextColor(1, 1, 1)
		self:applySkin(bagName)
		self:HookScript(bagName, "OnShow", function()
			-- self:Debug(this:GetName().." - OnShow")
			self.hooks[this].OnShow()
			self:shrinkBag(this)
			end)
	end

	keyringName = _G["CharactersViewer_KeyringContainerFrame"]
	self:keepRegions(keyringName, {6}) -- N.B. region 6 is text
	self:moveObject(_G[keyringName:GetName().."Name"], "-", 10, nil, nil)
	_G[keyringName:GetName().."Name"]:SetTextColor(1, .7, 0)
	self:applySkin(keyringName)
	self:HookScript(keyringName, "OnShow", function()
		-- self:Debug(this:GetName().." - OnShow")
		self.hooks[this].OnShow()
		self:shrinkBag(this)
    	end)
	
	-- Bank Frame
	self:hookDDScript(_G["CharactersViewerDropDown3Button"])
	self:removeRegions(_G["CharactersViewerDropDown3"], {1, 2, 3}) -- N.B. region 4 is text
	self:removeRegions(_G["CharactersViewerBankFrame"], {1, 2}) -- N.B. other regions are text
	_G["CharactersViewerBankFrame"]:SetWidth(_G["CharactersViewerBankFrame"]:GetWidth() * FxMult)
	_G["CharactersViewerBankFrame"]:SetHeight(_G["CharactersViewerBankFrame"]:GetHeight() * FyMult - 40)
	self:moveObject(_G["CharactersViewerBankItems_TitleText"], nil, nil, "-", 50)
	self:moveObject(self:getRegion(_G["CharactersViewerBankFrame"], 4), "+", 10, "-", 30)
	self:moveObject(self:getRegion(_G["CharactersViewerBankFrame"], 5), "+", 10, "-", 30)
	self:moveObject(_G["CharactersViewerBankMoney1"], "-", 120, "-", 80)
	self:moveObject(_G["CharactersViewerBankItems_MoneyFrameTotal1"], "-", 120, "-", 80)
	self:moveObject(_G["CharactersViewerBankItems_CloseButton"], "+", 28, "+", 8)
	self:moveObject(_G["CharactersViewerBankItem_Item1"], "-", 10, "+", 25)
	self:moveObject(_G["CharactersViewerDropDown3"], "+", 180, "-", 50)
	self:applySkin(_G["CharactersViewerBankFrame"])
	
	for i = 5, 10 do
		bankBagName = _G["CharactersViewer_BankItemsContainerFrame"..i]
		self:keepRegions(bankBagName, {6}) -- N.B. region 6 is text
		self:moveObject(_G[bankBagName:GetName().."Name"], "-", 10, nil, nil)
		_G[bankBagName:GetName().."Name"]:SetTextColor(.3, .3, 1)
		self:applySkin(bankBagName)
		self:HookScript(bankBagName, "OnShow", function()
			-- self:Debug(this:GetName().." - OnShow")
			self.hooks[this].OnShow()
			self:shrinkBag(this)
			end)
	end
	
end
